<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Order_End.aspx.cs" Inherits="Mall.Order.Order_End" %>

<%@ Register Src="/usercontrol/Top.ascx" TagName="uchead" TagPrefix="headuc" %>
<%@ Register Src="/usercontrol/Footer.ascx" TagName="ucfooter" TagPrefix="footeruc" %>
 
 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<HTML xmlns="http://www.w3.org/1999/xhtml"><HEAD 
id=ctl00_Head1><TITLE>订单确认</TITLE>
<META http-equiv=Content-Type content="text/html; charset=utf-8">
<LINK media=screen href="/content/images/mkl/global.css" type=text/css rel=stylesheet>
<SCRIPT src="/content/images/mkl/jquery-1.3.2.min.js" type=text/javascript></SCRIPT>
<type=text/javascript></SCRIPT>
<LINK media=screen href="/content/images/mkl/c3.css" type=text/css 
rel=stylesheet>
<STYLE type=text/css>.jclose {
	Z-INDEX: 5; BACKGROUND: #fff; FILTER: alpha(opacity=0); WIDTH: 100%; HEIGHT: 100%; opacity: 0
}
.mask {
	DISPLAY: none; Z-INDEX: 10; LEFT: 0px; WIDTH: 100%; POSITION: absolute; TOP: 0px; HEIGHT: 100%
}
DIV.zp_text_red_size {
	HEIGHT: auto
}
.sbt_reg {
	BACKGROUND: url(images/mkl/btn-reg.gif) no-repeat 0px 0px; FLOAT: left; OVERFLOW: hidden; WIDTH: 132px; CURSOR: pointer; BORDER-TOP-STYLE: none; TEXT-INDENT: -99em; BORDER-RIGHT-STYLE: none; BORDER-LEFT-STYLE: none; HEIGHT: 32px; BORDER-BOTTOM-STYLE: none
}
 
</STYLE>
 
 
 
<META content="MSHTML 6.00.6000.17092" name=GENERATOR></HEAD>
<BODY>
 
<headuc:uchead ID="headuc" runat="server" />
 
<DIV>
 
 
    <div>
 
	<link href="/content/images/mkl/bs2.css" rel="stylesheet" type="text/css" media="screen" />
	<link href="/content/images/mkl/mo.css" rel="stylesheet" type="text/css" media="screen" />
	
	<div class="mqote1 blinedash">
		<div class="w700">
	    	<div class="grid17 prefix4">
		        <div id="ctl00_MainPlace_tdWebBC">
		            
                		<div class="mo-order p40 icobg f14 mt10">
		                    <p>&nbsp;</p>
	                    </div>
                    
 
		            <div class="mo-order f14">
			            <div class="mo-bank-txt mt20">

		            </div>
                <!--邮政汇款-->
                
                <!--在线支付-->
		        
		        <!--账户余额或礼券支付-->
		        
		        
 
                <!--底部提示层:正常流程显示，修改流程则不显示-->
                
		        <!--按钮层--> 
		        <div class="mo-order f14 mt20">
                    <div class="mo-order-btn mt20 clearfix"><a href="/" class="icobg" target="_blank"><span class="icobg">继续购物</span></a>                     </div> 
              </div>
            </div>
         </div>
	    
	</div>
	
	
	 
    </div>
 <footeruc:ucfooter ID="footeruc" runat="server" />
  <SCRIPT>
      function stopBubble(e) {
          //如果提供了事件对象，则这是一个非IE浏览器
          if (e && e.stopPropagation)
          //因此它支持W3C的stopPropagation()方法
              e.stopPropagation();
          else
          //否则，我们需要使用IE的方式来取消事件冒泡
              window.event.cancelBubble = true;
      }

      //阻止浏览器的默认行为
      function stopDefault(e) {
          //阻止默认浏览器动作(W3C)
          if (e && e.preventDefault)
              e.preventDefault();
          //IE中阻止函数器默认动作的方式
          else
              window.event.returnValue = false;
          return false;
      }

      function setBalance(payTypeID, payAmount) {

          document.all('td_' + payTypeID).innerText = '￥' + payAmount;
      }

      function CheckEmail(obj) {
          var liMessage = document.getElementById("liEmailMessage");
          var regs = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/;
          if (obj.value == "" || obj.value == "Email地址") {
              liMessage.className = "c_info_msg ml20";
              liMessage.innerHTML = "请填写您的Email地址";
              return false;
          }
          if (!regs.test(document.getElementById("ctl00_MainPlace_txtEMail").value)) {
              liMessage.className = "c_info_msg ml20";
              liMessage.innerHTML = "Email格式错误，请重新填写";
              return false;
          }
          else {
              liMessage.className = "c_info_msg_gray ml20";
              liMessage.innerHTML = "您可以随时使用Email登录MC SHOP 微维网上商城查看订单状态";
              liMessage.style.color = "";
              //alert(document.getElementById("ctl00_MainPlace_txtEMail").value);
              checkei(obj.value);
              //M18Web.Order.CartService.HasEmail(obj.value, CheckEmailCallBack);

              return true;
          }
      }
      function CheckEmailCallBack(str) {
          if (str == "no") {
              var liMessage = document.getElementById("liEmailMessage");
              liMessage.className = "c_info_msg ml20";
              liMessage.innerHTML = "此Email已被注册，请重新填写";
              $("#NewCustomerEmail").val("error");
          } else {
              $("#NewCustomerEmail").val("right");
          }
      }
      function CheckPwd(isFirstPwd) {
          var liMessage = document.getElementById("liPwdMessage");
          var liDouErr = document.getElementById("liDouMessage");
          var pwd1 = document.getElementById("ctl00_MainPlace_txt_Reg_Pwd");
          var pwd2 = document.getElementById("ctl00_MainPlace_txt_Dou_Pwd");
          liMessage.className = "c_info_msg_gray ml20";
          liMessage.innerHTML = "密码设为6-20位字母或数字";
          liDouErr.className = "c_info_msg_gray ml20";
          liDouErr.innerHTML = "";
          if (isFirstPwd) {
              if (pwd1.value == "") {
                  liMessage.className = "c_info_msg ml20";
                  liMessage.innerHTML = "请填写您的密码";
                  return false;
              }
          }
          else {
              if (pwd2.value == "") {
                  liDouErr.className = "c_info_msg ml20";
                  liDouErr.innerHTML = "请再次填写您的密码";
                  return false;
              }
          }

          var reg = /^(\w|@|#|\$){6,20}/;
          if (!reg.test(pwd1.value) && isFirstPwd) {
              liMessage.className = "c_info_msg ml20";
              liMessage.innerHTML = "密码格式错误，请输入6-20位字母或数字";
              return false;
          }
          else if (!reg.test(pwd2.value) && !isFirstPwd) {
              liDouErr.className = "c_info_msg ml20";
              liDouErr.innerHTML = "密码格式错误，请输入6-20位字母或数字";
          }
          else if (pwd1.value != pwd2.value && pwd1.value != "" && pwd2.value != "") {
              if (isFirstPwd) {
                  liMessage.className = "c_info_msg ml20";
                  liMessage.innerHTML = "两次密码输入不一致，请重新输入";
              }
              else {
                  liDouErr.className = "c_info_msg ml20";
                  liDouErr.innerHTML = "两次密码输入不一致，请重新输入";
              }
              return false;
          }
          return true;
      }
      function MessageChanged(obj) {
          var cbxNeedInvoice = document.getElementById("ctl00_MainPlace_chkbox_NeedInvoice");
          if (obj.value != "")
              cbxNeedInvoice.checked = true;
      }
      function checkRegister() {
          //发票检查
          var text = document.getElementById("ctl00_MainPlace_lblInvoiceInfos").innerText;
          var styleValue = $("#ctl00_MainPlace_divinvoice").css("display");
          if (document.getElementById("ctl00_MainPlace_chkbox_NeedInvoice1").checked &&
                text == "") {
              $("#ctl00_MainPlace_error").attr("style", "display:inline");
              $("html,body").animate({ scrollTop: $("#a1").offset().top }, 100);
              return false;
          }
          if (document.getElementById("ctl00_MainPlace_chkbox_NeedInvoice1").checked && styleValue == "none") {
              $("#ctl00_MainPlace_error").attr("style", "display:inline");
              $("html,body").animate({ scrollTop: $("#a1").offset().top }, 100);
              return false;
          }
          //注册检查
          if ('' != '')
              return true;
          if (!document.getElementById("ctl00_MainPlace_CheckBox1").checked) {
              $("#regMsg").attr("style", "display:inline");
              alert("您不同意《MC SHOP 微维网上商城用户服务协议》，不能进行注册");
              $("html,body").animate({ scrollTop: $("#a1").offset().top }, 100);
              return false;
          }

          if (!CheckEmail(document.getElementById("ctl00_MainPlace_txtEMail"))) {
              $("#regMsg").attr("style", "display:inline");
              $("html,body").animate({ scrollTop: $("#a1").offset().top }, 100);
              return false;
          }
          if ($("#NewCustomerEmail").val() != "right") {
              alert("此Email已被注册，请重新填写");
              return false;
          }
          if (!CheckPwd(true)) {
              $("#regMsg").attr("style", "display:inline");
              $("html,body").animate({ scrollTop: $("#a1").offset().top }, 100);
              return false;
          }
          if (!CheckPwd(false)) {
              $("#regMsg").attr("style", "display:inline");
              $("html,body").animate({ scrollTop: $("#a1").offset().top }, 100);
              return false;
          }
          return true;
      }
      function RegisterRemark() {
          window.open("http://www.m18.com/Contact/RegisterRemark.html", "RegisterRemark", "height=165, width=590, toolbar= no, menubar=no, scrollbars=no, resizable=no, location=no, status=no,top=100,left=300")
      }

      //发票脚本
      //发票新增方法, 增加InvoiceTypeCode
      var loginService = 'http://180.86.88.210/webService/';
      function checkei(str_email) {
          $.ContentLoader(loginService + "checkuser.asp?action=checkemail&un=" + str_email, "{userName:'" + str_email + "'}",
					function (data) {
					    CheckEmailCallBack(data);

					},
					function () {
					    //alert("服务器错误！");
					});
      }

      $.ContentLoader = function (url, data, callback, error) {
          $.ajax({
              url: url,
              data: data,
              type: "POST",
              contentType: "application/json; charset=utf-8",
              success: callback,
              error: error
          });
      };
    </SCRIPT>
<SCRIPT src="/content/images/mkl/comm.js" type=text/javascript></SCRIPT>
<SCRIPT src="/content/images/mkl/o_code.js" type=text/javascript></SCRIPT>
 
</BODY></HTML>



